Subject: [Gen-art] Gen-ART review of draft-ietf-roll-trickle-mcast-05

From: Christer Holmberg <[email-masked]>
Date: Sun, 24 Nov 2013 15:59:55 +0000

I am the assigned Gen-ART reviewer for this draft. For background on Gen-ART, please see the FAQ at <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq<https://rvi.se.ericsson.net/owa/,DanaInfo=mail.internal.ericsson.com,SSL+redir.aspx?C=vCr1L8PWQUqCZeSAn6cKI_Abm6K8vNAI1hJJwcnXe8VAikdG2PcMrstLszaJeAo7bR8W3uA2uu0.&URL=https%3a%2f%2frvi.se.ericsson.net%2fowa%2f%2cDanaInfo%3dmail.internal.ericsson.com%2cSSL%2bredir.aspx%3fC%3dvCr1L8PWQUqCZeSAn6cKI_Abm6K8vNAI1hJJwcnXe8VAikdG2PcMrstLszaJeAo7bR8W3uA2uu0.%26URL%3dhttp%253a%252f%252fwiki.tools.ietf.org%252farea%252fgen%252ftrac%252fwiki%252fGenArtfaq>>

Document:                         draft-ietf-roll-trickle-mcast-05

Reviewer:                           Christer Holmberg

Review Date:                     24 November 2013

IETF LC End Date:             24 October 2013

IETF Telechat Date:         N/A

Summary:  The document is well written, but there are some minor editorial nits that the authors may want to consider addressing before publication.

Major Issues: None

Minor Issues: None

Editorial nits:

Section 1:
------------

Q_1_1:

I assume "LLN" stands for "Low power and Lossy Networks", but there is no extension anywhere. Please insert "Low power and Lossy Networks (LLN)" on first occurance.

Section 3:
------------

Q_3_1:

In a few places the text says "this protocol". I would suggest to replace that with "MPL".

Section 4:
-----------

Q_4_1:

In section 4, I would suggest to add a reference to section 4.1 after "within an MPL Domain".

Yes, EVEN if "MPL Domain" is defined in the following section :)

Q_4_2:

I would suggest to add something in front of "Overview" in the subject of section 4.3. Overview of what? :)

Section 5:
------------

In section 5.5, there is text saying:

    "Following [RFC6206], it is RECOMMENDED that all MPL Forwarders use
       the same values for the Trickle Parameters above for a given MPL
       Domain."

It is a little unclear to me what is "followed". RFC 6206 does not say anything about MPL Forwardeds and MPL Domain. It talks about the trickle algorithm.

So, you need to say what is recommended in 6206, and how that applies to MPL.

It may be obvious to people involved in this work, but as an outsider I get a little confused :)

Section 13:
-------------

Q_13_1:

I would suggest to not use roman numbers.

Regards,

Christer